GUIDE_XML=guide.xml
GUIDE_XSL=guide.xsl
SCHEDULE_XSL=schedule.xsl
SCHEDULE_XML=../../../www/datenspuren/fahrplan/schedule.de.xml
C3D2WEB_XSL=c3d2web.xsl
# TODO: C3D2WEB_XML
DEPS=$(GUIDE_XML) $(GUIDE_XSL) $(SCHEDULE_XSL) $(SCHEDULE_XML) $(C3D2WEB_XSL)

FOP=~/programs/fop/fop
XEP=~/Java/XEP/xep

guide.pdf: guide.fo
	$(FOP) -d -fo guide.fo -pdf $@
guide-xep.pdf: guide.fo
	$(XEP) -fo guide.fo -pdf $@
guide.fo: $(DEPS)
	xsltproc $(GUIDE_XSL) $(GUIDE_XML) > $@
	
fahrplan.fo: $(DEPS)
	xsltproc $(GUIDE_XSL) fahrplan.xml > $@
fahrplan.pdf: fahrplan.fo
	$(FOP) -d -fo fahrplan.fo -pdf $@
